Groundeddocs
ReferenceAdmin

Platform kill switch (platform admins). disabled_by_platform needs a reason.

POST/v1/admin/agents/{agentId}/status

Path Parameters

agentId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/admin/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/status" \  -H "Content-Type: application/json" \  -d '{    "status": "active"  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec",    "teamSlug": "string",    "teamName": "string",    "slug": "string",    "name": "string",    "status": "active",    "disabledReason": "string",    "disabledAt": "2019-08-24T14:15:22Z",    "publishedVersion": 0,    "publishedAt": "2019-08-24T14:15:22Z",    "classification": "string",    "chatModelName": "string",    "audience": "team",    "shortName": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}